<pre><?php print_r($_FILES); ?></pre>

<?php 

if ($_FILES['foto']['error']) {    
	  switch ($_FILES['foto']['error']){    
		   case 1: // UPLOAD_ERR_INI_SIZE    
			   echo "La tamaño del archivo es más grande que el límite permitido por el servidor (argumento upload_max_filesize del archivo php.ini).";    
			   break;    
		   case 2: // UPLOAD_ERR_FORM_SIZE    
			   echo "La tamaño del archivo es más grande que el límite permitido por el formulario (argumento post_max_size del archivo php.ini).";
			   break;    
		   case 3: // UPLOAD_ERR_PARTIAL    
			   echo "El envío del archivo se ha interrumpido durante la transferencia.";    
			   break;    
		   case 4: // UPLOAD_ERR_NO_FILE    
			   echo "La tamaño del archivo que ha enviado es nulo.";
			   break;    
	  }    
}    
else {    
 //si no hay error entonces $_FILES['nombre_del_archivo']['error'] vale 0    
	echo "Ningún error en el upload del archivo.<br />";
	if ((isset($_FILES['foto']['name'])&&($_FILES['foto']['error'] == UPLOAD_ERR_OK))) {    
		$ruta_destino ='archivos/';  
		//desplazamiento del archivo del directorio temporal (almacenamiento por defecto) en el directorio de destino con la función move_uploaded_file($archivo_cargado, $directorio_nom_archivo_destino)	
		move_uploaded_file($_FILES['foto']['tmp_name'], $ruta_destino.$_FILES['foto']['name']);    
		echo "El archivo ".$_FILES['foto']['name']." se ha copiado en el directorio archivos";
	} 
	else {
		echo "El archivo no se ha podido copiar en el directorio archivos.";
	}
}
 
?>
